summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorAndreas Rheinhardt <andreas.rheinhardt@outlook.com>2022-04-28 21:37:26 +0200
committerAndreas Rheinhardt <andreas.rheinhardt@outlook.com>2022-05-03 04:18:05 +0200
commit26e51325d441693561dcf24bb491c3d7f15eea88 (patch)
tree4c6b01ceabfd8ccf908439569f5f84f90d1d0d98 /tests/fate-run.sh
parent258f42eac94521219589d5d95e164a0e41ebce7d (diff)
fate/vbn, tests/fate-run: Delete intermediate VBN-files after tests
Signed-off-by: Andreas Rheinhardt <andreas.rheinhardt@outlook.com>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh22
1 files changed, 18 insertions, 4 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index a96ff049b0..3c62246c8a 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -393,16 +393,30 @@ cmp_metadata(){
}
refcmp_metadata_files(){
- refcmp=$1
- pixfmt=$2
- file1=$3
- file2=$4
+ file1=$1
+ file2=$2
+ refcmp=$3
+ pixfmt=$4
fuzz=${5:-0.001}
ffmpeg -auto_conversion_filters $FLAGS -i $file1 $FLAGS -i $file2 $ENC_OPTS \
-lavfi "[0:v]format=${pixfmt}[v0];[1:v]format=${pixfmt}[v1];[v0][v1]${refcmp},metadata=print:file=-" \
-f null /dev/null | awk -v ref=${ref} -v fuzz=${fuzz} -f ${base}/refcmp-metadata.awk -
}
+refcmp_metadata_transcode(){
+ srcfile=$1
+ enc_opt=$2
+ enc_fmt=$3
+ enc_ext=$4
+ shift 4
+ encfile="${outdir}/${test}.${enc_ext}"
+ cleanfiles="$cleanfiles $encfile"
+ tsrcfile=$(target_path $srcfile)
+ tencfile=$(target_path $encfile)
+ ffmpeg $DEC_OPTS -i $tsrcfile $ENC_OPTS $enc_opt $FLAGS -y -f $enc_fmt $tencfile || return
+ refcmp_metadata_files $tencfile $tsrcfile "$@"
+}
+
pixfmt_conversion(){
conversion="${test#pixfmt-}"
outdir="tests/data/pixfmt"